KDE 4.7 PyKDE API Reference

- KDE's Python API

# KCrashBookmarkImporter Class Reference

`from PyKDE4.kio import *`

Inherits: QObject

## Detailed Description

A class for importing all crash sessions as bookmarks

Deprecated:

## Signals
| endFolder ()
| newBookmark (QString text, QString url, QString additionalInfo)
| newFolder (QString text, bool open, QString additionalInfo)
| newSeparator ()
## Methods
| __init__ (self, QString fileName)
| parseCrashBookmarks (self, bool del=1)
## Static Methods
QString | crashBookmarksDir ()

## Signal Documentation

endFolder | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("endFolder()"), target_slot)`

newBookmark | ( | QString | text,
|  | QString | url,
|  | QString | additionalInfo
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("newBookmark(const QString&, const QString&, const QString&)"), target_slot)`

newFolder | ( | QString | text,
|  | bool | open,
|  | QString | additionalInfo
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("newFolder(const QString&, bool, const QString&)"), target_slot)`

newSeparator | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("newSeparator()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QString | fileName
| ) |  |  |

parseCrashBookmarks | ( | self, |
|  | bool | del=1
| ) |  |  |

## Static Method Documentation

QString crashBookmarksDir | ( |  | ) |